<?php
header('Content-Type: application/json;charset= utf-8');
require("dbinfo.php");
$con = mysqli_connect($sqlname, $username, $password, $db);
if(!$con){exit;}
mysqli_set_charset($con,"utf8");


$columns = array();
$columna = array(
        'field'=>'clase',
        'label'=>'Tipo',
        'width'=>'80%',
        'numeric'=>false
        );
array_push($columns,$columna);
$columna = array(
        'field'=>'cantidad',
        'label'=>'Cantidad',
        'numeric'=>true
);
array_push($columns,$columna);

$res = array();

//INDICADOR 1 - SISTEMA UNICO DE RECLAMOS_____________________________________________________________________________________________________
$sql = "SELECT count(sur) AS CANTIDAD, sur AS CLASE FROM `conexiones` WHERE activo = 1 GROUP BY sur ORDER by CANTIDAD DESC";
$resultado = mysqli_query($con,$sql);
$contador = 0;
$data = array();
if ($resultado != FALSE){
	if (mysqli_num_rows($resultado) > 0){
		while($row = mysqli_fetch_assoc($resultado))
		{
            $contador++;
			$elem = array(
                    'id'=>$contador,
                    'clase'=>$row['CLASE'],
                    'cantidad'=>$row['CANTIDAD']
            );
            array_push($data,$elem);
        }
    }
}
if (count($data) > 0)
{
$indicador = array(
                    'nombre'=>'Sistema Unico de Reclamos',
                    'color'=>'#6DA452',
                    'datos'=>$data,
                    'columns'=>$columns
);
array_push($res,$indicador);
}

//INDICADOR 2 - FUENTE DE DATOS_____________________________________________________________________________________________________
$sql = "SELECT count(alta_fuent) AS CANTIDAD, alta_fuent AS AF FROM `conexiones` WHERE activo = 1 GROUP BY AF ORDER by CANTIDAD DESC";
$resultado = mysqli_query($con,$sql);
$contador = 0;
$data = array();
if ($resultado != FALSE){
	if (mysqli_num_rows($resultado) > 0){
		while($row = mysqli_fetch_assoc($resultado))
		{
            $contador++;
           			$elem = array(
                    'id'=>$contador,
                    'clase'=>trim($row['AF']),
                    'cantidad'=>$row['CANTIDAD']
            );
            array_push($data,$elem);
        }
    }
}
if (count($data) > 0)
{
$indicador = array(
    'nombre'=>'Fuente de datos origen',
    'color'=>'#6DA452',
    'datos'=>$data,
    'columns'=>$columns
);
array_push($res,$indicador);
}



//INDICADOR 3 - TRAMITE_____________________________________________________________________________________________________
$sql = "SELECT count(tramite) AS CANTIDAD, tramite AS CLASE FROM `conexiones` WHERE activo = 1 GROUP BY tramite ORDER by CANTIDAD DESC";
$resultado = mysqli_query($con,$sql);
$contador = 0;
$data = array();
if ($resultado != FALSE){
	if (mysqli_num_rows($resultado) > 0){
		while($row = mysqli_fetch_assoc($resultado))
		{
            $contador++;
			$elem = array(
                    'id'=>$contador,
                    'clase'=>$row['CLASE'],
                    'cantidad'=>$row['CANTIDAD']
            );
            array_push($data,$elem);
        }
    }
}
if (count($data) > 0)
{
$indicador = array(
    'nombre'=>'Tramite administrativo',
    'color'=>'#6DA452',
    'datos'=>$data,
    'columns'=>$columns
);
array_push($res,$indicador);
}




//INDICADOR 4 - ETAPA_____________________________________________________________________________________________________
$sql = "SELECT count(etapa) AS CANTIDAD, etapa AS CLASE FROM `conexiones` WHERE activo = 1 GROUP BY etapa ORDER by CANTIDAD DESC";
$resultado = mysqli_query($con,$sql);
$contador = 0;
$data = array();
if ($resultado != FALSE){
	if (mysqli_num_rows($resultado) > 0){
		while($row = mysqli_fetch_assoc($resultado))
		{
            $contador++;
			$elem = array(
                    'id'=>$contador,
                    'clase'=>$row['CLASE'],
                    'cantidad'=>$row['CANTIDAD']
            );
            array_push($data,$elem);
        }
    }
}
if (count($data) > 0)
{
$indicador = array(
    'nombre'=>'Etapa de obra',
    'color'=>'#6DA452',
    'datos'=>$data,
    'columns'=>$columns
);
array_push($res,$indicador);
}


//INDICADOR 5 - conexiones por ccz_____________________________________________________________________________________________________
$sql = "SELECT count(etapa) AS CANTIDAD, ccz AS CLASE FROM `conexiones` WHERE activo = 1 GROUP BY ccz ORDER by CANTIDAD DESC";
$resultado = mysqli_query($con,$sql);
$contador = 0;
$data = array();
if ($resultado != FALSE){
	if (mysqli_num_rows($resultado) > 0){
		while($row = mysqli_fetch_assoc($resultado))
		{
            $contador++;
			$elem = array(
                    'id'=>$contador,
                    'clase'=>$row['CLASE'],
                    'cantidad'=>$row['CANTIDAD']
            );
            array_push($data,$elem);
        }
    }
}
if (count($data) > 0)
{
$indicador = array(
    'nombre'=>'Conexiones por CCZ',
    'color'=>'#6DA452',
    'datos'=>$data,
    'columns'=>$columns
);
array_push($res,$indicador);
}


//INDICADOR 6 - conexiones por mUNICIPIO_____________________________________________________________________________________________________
$sql = "SELECT count(A.id) AS CANTIDAD, B.MUNICIPIO AS CLASE FROM conexiones A INNER JOIN geo_cczs B ON A.ccz = B.NOMBRE WHERE activo = 1 GROUP BY B.MUNICIPIO ORDER by CANTIDAD DESC";
$resultado = mysqli_query($con,$sql);
$contador = 0;
$data = array();
if ($resultado != FALSE){
	if (mysqli_num_rows($resultado) > 0){
		while($row = mysqli_fetch_assoc($resultado))
		{
            $contador++;
			$elem = array(
                    'id'=>$contador,
                    'clase'=>$row['CLASE'],
                    'cantidad'=>$row['CANTIDAD']
            );
            array_push($data,$elem);
        }
    }
}
if (count($data) > 0)
{
$indicador = array(
    'nombre'=>'Conexiones por MUNICIPIO',
    'color'=>'#6DA452',
    'datos'=>$data,
    'columns'=>$columns
);
array_push($res,$indicador);
}


//INDICADOR 7 - Tasa de conexion _____________________________________________________________________________________________________

$sql = "SELECT A.ccz AS CLASE, count(A.padron) AS TOTALPAD," ;
$sql = $sql . "(SELECT count(B.padron) FROM padrones B WHERE B.ccz = A.ccz AND B.SANEADO = 1 GROUP BY B.ccz) AS PADSANEA,";
$sql = $sql . "(SELECT count(D.padron) FROM padrones D WHERE D.ccz = A.ccz AND EXISTS (SELECT E.id FROM conexiones E WHERE D.padron = E.padron) GROUP BY D.ccz) AS PADCONX";
$sql = $sql . " FROM padrones A WHERE A.ccz <> '' group by A.ccz";

$resultado = mysqli_query($con,$sql);
$contador = 0;
$data = array();
if ($resultado != FALSE){
	if (mysqli_num_rows($resultado) > 0){
		while($row = mysqli_fetch_assoc($resultado))
		{
            $contador++;
            $totalpad = $row['TOTALPAD'];
            $padsanea = $row['PADSANEA'];
            if ($totalpad > 0 && $padsanea > 0)
            {
            $padconex = $row['PADCONX'];
            $tasa1 = intval(100 * ($padconex / $totalpad));
            $tasa2 = intval(100 * ($padconex / $padsanea));
            $clase = $row['CLASE'] . " - Total: " . $totalpad . " Tasa1: " . $tasa1 . "%  - Saneados: " . $padsanea . " Tasa2: " . $tasa2 . "%";
            
			$elem = array(
                    'id'=>$contador,
                    'clase'=>$clase,
                    'cantidad'=>$padconex
            );
            array_push($data,$elem);
            }
        }
    }
}
if (count($data) > 0)
{
$indicador = array(
    'nombre'=>'Padrones conectados por CCZ',
    'color'=>'#6DA452',
    'datos'=>$data,
    'columns'=>$columns
);
array_push($res,$indicador);
}




//INDICADOR 8 - usuarios_____________________________________________________________________________________________________
$sql = "SELECT count(id) AS CANTIDAD, tipo AS CLASE FROM log WHERE tipo <> '' GROUP BY tipo ORDER by CANTIDAD DESC";
$resultado = mysqli_query($con,$sql);
$contador = 0;
$data = array();
if ($resultado != FALSE){
	if (mysqli_num_rows($resultado) > 0){
		while($row = mysqli_fetch_assoc($resultado))
		{
            $contador++;
			$elem = array(
                    'id'=>$contador,
                    'clase'=>$row['CLASE'],
                    'cantidad'=>$row['CANTIDAD']
            );
            array_push($data,$elem);
        }
    }
}
if (count($data) > 0)
{
$indicador = array(
    'nombre'=>'Actividades en Aplicativo',
    'color'=>'#6DA452',
    'datos'=>$data,
    'columns'=>$columns
);
array_push($res,$indicador);
}


//INDICADOR 9 - usuarios_____________________________________________________________________________________________________
$sql = "SELECT count(id) AS CANTIDAD, usuario AS CLASE FROM log WHERE tipo <> '' GROUP BY usuario ORDER by CANTIDAD DESC";
$resultado = mysqli_query($con,$sql);
$contador = 0;
$data = array();
if ($resultado != FALSE){
	if (mysqli_num_rows($resultado) > 0){
		while($row = mysqli_fetch_assoc($resultado))
		{
            $contador++;
			$elem = array(
                    'id'=>$contador,
                    'clase'=>$row['CLASE'],
                    'cantidad'=>$row['CANTIDAD']
            );
            array_push($data,$elem);
        }
    }
}
if (count($data) > 0)
{
$indicador = array(
    'nombre'=>'Actividad por usuario',
    'color'=>'#6DA452',
    'datos'=>$data,
    'columns'=>$columns
);
array_push($res,$indicador);
}



mysqli_close($con);
echo json_encode($res);
?>

